package be.iminds.ilabt.jfed.experimenter_gui.gts_editor.ribbon_tabs;

import be.iminds.ilabt.jfed.experimenter_gui.gts_editor.GtsTopTypeEditor;
import be.iminds.ilabt.jfed.experimenter_gui.ui.ribbon.RibbonTab;
import javafx.beans.property.ObjectProperty;
import javafx.beans.property.SimpleObjectProperty;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public abstract class GtsTopTypeEditorRibbonTab extends RibbonTab {
    private final static Logger LOG = LoggerFactory.getLogger(GtsTopTypeEditorRibbonTab.class);

    protected final ObjectProperty<GtsTopTypeEditor> activeGtsEditor = new SimpleObjectProperty<>();

    public GtsTopTypeEditor getActiveGtsEditor() {
        return activeGtsEditor.get();
    }

    public void setActiveGtsEditor(GtsTopTypeEditor activeGtsTopTypeEditor) {
        this.activeGtsEditor.set(activeGtsTopTypeEditor);
    }

}

